from test_base import TestBase
from xtr import logging
import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__), ".."))

logger = logging.getLogger(__name__)


class MTFBasicTutoFixture(TestBase):

    # This setUpClass method will be executed first
    # thing when executing the 'All_mtf_basic_tuto' group test cases.
    # Check group name under:
    # 'mtf_basic_tuto\config\TestSeries\All_mtf_basic_tuto.xml'
    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from BaseFixture setUpClass function"
        )

    # This tearDownClass method will be executed last
    # thing when executing the 'All_mtf_basic_tuto' group test cases.
    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from BaseFixture tearDownClass function"
        )

    # This setUp method will be executed
    # first thing when executing each test case.
    def setUp(self):
        logger.info(
            "Message from BaseFixture setUp function"
        )

    # This tearDown method will be executed before
    # the tearDown method of each test suite fixture.
    def tearDown(self):
        logger.info(
            "Message from BaseFixture tearDown function"
        )
